15
Thank you for your review
Free
http://www.macupdate.com/download/6828/mac_os_9.2.2_update.smi.bin
Email me when discounted: 

Apple Mac OS 9.2.2 Updater adds enhanced support for PowerMac G3 and G4 Mac computers.

Requirements

PowerPC G3/G4, MacOS 9.2.1 (English version).

Similar Software

Open Comparison
Suggest Other Similar Software
Leave a Review

Apple Mac OS Updater User Discussion

Nobody has reviewed or commented on this app yet. Add your own comment and get a discussion going!
Sort by: Time | Smiles
Anonymous Member IconReview
Anonymous
+0

how do u update mac os 9.2 to mac os 9.2.2????????????

Reply1 reply
Version 9.2.2
Anonymous Member Icon
Anonymous
+0

Use this.

Then use this.

Anonymous Member IconReview
Anonymous
+0

lo necesito para instalar otros programas

Reply0 replies
Version 9.2.2
Anonymous Member IconReview
Anonymous
+0

I installed this update while running my IMAC in 9.2 and after updating couldn't get the startup disk function to work to get back to OS X. It would freeze up every time I tried to click the OS X startup disk..Finally after at LEAST 100 times playing who can click faster I got it back to OSX...Now I am afraid to switch back and forth...

Reply2 replies
Version 9.2.2
Lewis Smith
+0

Just a quick solution to that problem. On start up you can hold down the "X" key on the keyboard to boot directly to any available Mac OS X System folder. Try this instead of the who can click faster game.

Patrick Donegan
+0

Did you run the firmware update first?

gail davis Member IconComment+0
gail davis
+0

I've installed OS 9.2.1 then 9.2.2 but it seems since doing so, I can't use my Chooser. At first I thought it was my printer not working or the driver needing updating (as when I go to print i get the message "cannot find printer"), but as a test I tried to print to file using Adobe PS and that doesn't work either (get same message). So my Chooser doesn't work now! What is going on, it was fine before with OS9. Please help me somebody!!

Reply0 replies
Version 9.2.2
Anonymous Member IconReview
Anonymous
+0

I can't upgrade my mac os 9.2.1 to 9.2.2 because after i agree to the terms of agreement it says 'this software cannot be installed over this localized copy of mac os'. I don't know what this means or how to fix it. Can someone please help me out?

Reply5 replies
Version 9.2.2
Vincent
+0

You must have a version of 9.1 that is the same as tge 9.2.2 Like us or UK or FR or else

Anonymous Member Icon
Anonymous
+0

I have been trying to download msn messenger and have only just discovered that a 9.2.2 system is needed when I only have 9.2.1. I apparently can't download this directly to my i-mac and need some G-something rubbish. Whats point 1 of a difference!?
Help??

Anonymous Member Icon
Anonymous
+0

"...need some G-something rubbish"

well, if you could be more specific about the error message you are referring to, maybe someone could help. but as it is, myself, i have no clue what you are talking about. so, it isn't 'rubbish', it's important info.

Danny Parker
+0

http://docs.info.apple.com/article.html?artnum=75186

For anyone having trouble with the 'localised' error, the above link has all the localised versions you could ever want, just find one that matches what you have.

: D

Mrmacman
+0

If you have to hold "c" while your computer starts up it means that you are running the system off of the disk. I had the same problem except that the disk wasn't in the drive what you have to do if you have the install disk you shut down the computer turn it back on but while it is booting hold down the "c" key on the keyboard wait untiul you see the cd background or welcome screen let go let it finish booting. once it is done click on the HD go to special erase disk then once it is done reinstall the software everything will be back to normal but you will have to change your settings i wouldn't download the newer version off of mac update a better website is www.versiontracker.com go there and search for anything you want if you have any questions E-mail me

Anonymous Member IconReview
Anonymous
+0

When I tried installing 9.2.2 it said I couldn.t cuz I didn't have version 9.2.1 which I have to have for it to install.S can someone tell me where I could
install version 2.9.1?

Reply1 reply
Version 9.2.2
Anonymous Member Icon
Anonymous
+0

go here, to the Apple 9.2.1 Update page for the download.

simple.

Anonymous Member IconReview
Anonymous
+0

We've repeatedly upgraded OS 9.2.1 to 9.2.2 on G3 & G4 PowerBooks and on a G4 desktop machine. No problems have arisen in the install or in the later function of those machines, other than some stalls, freezes, or orneriness on occasion associated with every Mac I've known since the Mac Plus. I depend on 9.2.2 for things I can't do on Mac OS X, which is installed on a separate drive partition on both the G4 machines mentioned.

Reply1 reply
Version 9.2.2
Gannon Thompson
+0

go to this website and download a application called os9 forever. www.os9forever.com

it will solve your install prob.

Anonymous Member IconReview
Anonymous
+0

Best thing for a workstation

Reply0 replies
Version 9.2.2
Adolf Member Icon+0
Adolf
+0

Help! I can't get stuffit to decompress file...msg sez "would u like to open Internet explorer....

Reply0 replies
Version 9.2.2
L66 Member Icon+0
L66
+0

Goto this link to download the
local versions of the updater
(the one here is USA only)
http://docs.info.apple.com/article.html?artnum=75186

Reply0 replies
Version 9.2.2
user icon+5
NSCocoa
Version 9.2.2
> 4 15

Ratings

Overall
(15)
Current Version (9.x)
(15)

Details

Downloads 43,485
Version Downloads 9,112
Type Utilities / System
License Updater
Date 06 Dec 2001
Platform OS Classic / PPC 32
Price Free
Learn how MacUpdate Desktop makes installing apps from MacUpdate.com one-click easy.
Next time, install Apple Mac OS Updater with 1-click

Learn how MacUpdate Desktop can install apps on MacUpdate with the simple click of the Install apps with MacUpdate Desktop icon. Plus, keep all your apps updated.